//
//  paintbrush.java
//  Treehousestudio
//
//  Created by Maxwell Planck on Tue Nov 26 2002.
//  Copyright (c) 2002 __MyCompanyName__. All rights reserved.
//

import java.awt.*;
import java.applet.*;
import java.awt.image.*;

class paintbrush {
    int sz;

    public paintbrush setsize(int s)
    {	sz = s;
        return this;
    }

    public paintbrush(int _sz)
    {
        super(); setsize(_sz);
    }
    
    public void paint(Graphics g, int x, int y)
    {
    }
}

class squarebrush extends paintbrush {
    public squarebrush(int _n)
    {
        super(_n);
    }
    public void paint(Graphics g, int x, int y)
    {
        g.fillRect(x,y,sz,sz);
    }
}

class imbrush extends paintbrush {
    int n;
    Applet app;
    Image im;

    public imbrush(int _n,Image _im,Applet _app)
    {
        super(_n);
        im = _im;app =_app;
    }

    public void paint(Graphics g, int x, int y)
    {
        g.drawImage(im,x,y,app);
    }
}

class roundbrush extends paintbrush {
    int n;

    public roundbrush(int _n)
    {
        super(_n);
    }
    public void paint(Graphics g, int x, int y)
    {
        g.fillOval(x,y,sz,sz);
    }
}
